RDAny.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/any.hpp>`
`#include <boost/utility.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include "LocaleSwitcher.h"`
`#include "RDValue.h"`
`#include <string>`
`#include <vector>`
`#include <iostream>`
`#include <sstream>`

Go to the source code of this file.

## Classes

struct | RDKit::RDAny

## Namespaces

| RDKit
| Std stuff.

## Functions

template<class T >
const T | RDKit::rdany_cast (const RDAny &d)
template<class T >
T | RDKit::rdany_cast (RDAny &d)
template<class T >
boost::enable_if< boost::is_arithmetic< T >, T >::type | RDKit::from_rdany (const RDAny &arg)
template<class T >
boost::disable_if< boost::is_arithmetic< T >, T >::type | RDKit::from_rdany (const RDAny &arg)